<?php 

error_reporting(0);
ini_set(“display_errors”, 0);
include "protege_professor.php";


$idusuario = $_SESSION['id_usuario'];

// echo '<pre>';
// print_r ($_SESSION);
// echo '<pre>';

// echo "esse é o user ".$idusuario; 


$crm_origem		   = $_POST["nome_origem"];


include "conexao.php";

if(isset($_GET["edit"])){ 

 	
$idd = $_GET["edit"];

 		
 		$inserir = ("UPDATE crm_origem SET
	crm_origemnome = '$crm_origem'
	WHERE crm_idorigem = $idd
");

$locationn = '"crm_cadorigem2.php?edt=2"';

	date_default_timezone_set('America/Sao_Paulo');              
                    $data_log = date('d-m-Y H:i:s');         // data e hr no momento
                    $nome_usuario = nome_user($idusuario); //nome usuario sessao
                    $usuario_id = $idusuario;              
                    $descricao_log = "Usuário ".$nome_usuario ." editou a origem : ".$crm_origem;
                    grava_log($data_log,$usuario_id,$descricao_log);
                    //echo "cheguei aqui...;".$descricao_log; die();

 	} else {

$inserir = ("INSERT INTO crm_origem (
	crm_origemnome
)
values (
'$crm_origem'
)
");
$locationn = '"crm_cadorigem2.php?cad=1"';

	date_default_timezone_set('America/Sao_Paulo');              
                    $data_log = date('d-m-Y H:i:s');         // data e hr no momento
                    $nome_usuario = nome_user($idusuario); //nome usuario sessao
                    $usuario_id = $idusuario;              
                    $descricao_log = "Usuário ".$nome_usuario ." cadastrou uma nova origem : ".$crm_origem;
                    grava_log($data_log,$usuario_id,$descricao_log);
                    //echo "cheguei aqui...;".$descricao_log; die();
 
}
//execução da query do mysql para inserção no banco!
//$executa_query = mysqli_query ($db,$inserir);


//#########################################  Funcoes Grava Log   #############################################

function nome_user($id){
            include "conexao.php";
                 $query_igpm = "SELECT nome_cli FROM cliente where idcliente = $id";

                 $executa_igpm = mysqli_query ($db, $query_igpm);


                   while ($buscar_amigoc = mysqli_fetch_assoc($executa_igpm)) {//--verifica se são amigos

                          $nome_cli        = $buscar_amigoc['nome_cli'];
                   }
                   return $nome_cli;

         } 


        function grava_log($data_log,$usuario_id,$descricao_log){
           include "conexao.php";
          
                $query_log = "insert into log (data_log,usuario_id,descricao_log) values('$data_log','$usuario_id','$descricao_log')";
                $executa_log = mysqli_query($db, $query_log);
                return 1;
        }

				

//######################################### " FIM " Funcoes Grava Log   ######################################




//mensagem de confirmação de envio do formulário!
if(@mysqli_query($db,$inserir)){

//echo '<script>alert("Dados cadastrados!");</script>';
	?>

	<script>
		window.location= <?php echo $locationn ?>;
	</script>

	<?php
}else{

	echo '<script>alert("Não foi possível cadastrar!");</script>';

}

?>
<!--<script>
 window.location="crm_leadform.php?cad=ok";
</script>-->

